// keybdef.h
// Keyboard Scancode Defines
// Part of Plato OS

// Define Alphabet
#define q 0x10
#define w 0x11
#define e 0x12
#define r 0x13
#define t 0x14
#define y 0x15
#define u 0x16
#define i 0x17
#define o 0x18
#define p 0x19
#define a 0x1e
#define s 0x1f
#define d 0x20
#define f 0x21
#define g 0x22
#define h 0x23
#define j 0x24
#define k 0x25
#define l 0x26
#define z 0x2c
#define x 0x2d
#define c 0x2e
#define v 0x2f
#define b 0x30
#define n 0x31
#define m 0x32

// Define Punctuation
#define comma       0x33
#define period      0x34
#define frontslash  0x35
#define semicolon   0x27
#define l_bracket   0x1a
#define r_bracket   0x1b
#define backslash   0x2b
#define grave       0x29
#define apostrophe  0x28

// Define Others
#define l_shift    0x2a
#define r_shift    0x36

#define l_ctrl     0x1d
#define r_ctrl     0xe01d

#define l_alt      0x38
#define r_alt      0xe038

#define caps_lock  0x3a
#define enter      0x1c
#define space      0x39
#define esc        0x01
#define backspace  0x0e

// Define Function Keys
#define f1  0x3b
#define f2  0x3c
#define f3  0x3d
#define f4  0x3e
#define f5  0x3f
#define f6  0x40
#define f7  0x41
#define f8  0x42
#define f9  0x43
#define f10 0x44
#define f11 0x57
#define f12 0x58
